:root {
  --brand-color: #c93e3e;
  --primary-color: #290303;
}
body{
  background-color: aquamarine;
}

.carousel {
  width: 100%;
  overflow-x: auto;
  margin: 3em auto;
  display: flex;
  gap: 1em;
  scroll-behavior: smooth;
  position: relative;
  anchor-name: --carousel;
  scroll-snap-type: x mandatory;

  scroll-marker-group: after;
}

.carousel::scroll-marker-group {
  display: flex;
  justify-content: center;
  gap: 0.5em;
}

.card::scroll-marker {
  content: "O";
  height: 1em;
  width: 1em;
  background-color: var(--primary-color);
  border-radius: 50%;
}

.card::scroll-marker:target-current {
  background-color: var(--brand-color);
}

.carousel::-webkit-scrollbar {
  display: none;
}

ul {
  anchor-name: --my-carousel;
}

ul::scroll-button(*) {
  position: absolute;
  position-anchor: --my-carousel;
}

.carousel::scroll-button(right),
.carousel::scroll-button(left){
  content: ">";
  border: none;
  background-color: var(--brand-color);
  font-family: Consolas;
  font-size: 3rem;
  color: #ab0404;
  height: 60px;
  width: 60px;
  border-radius: 50%;
  padding-bottom: 0.1em;
  cursor: pointer;
  position: fixed;
  position-anchor: --carousel;
  position-area: right center;
  translate: -50%;

	position: absolute;
	top: 50%;
	right:0;
}

.carousel::scroll-button(right):disabled,
.carousel::scroll-button(left):disabled {
  opacity: 0.5;
  cursor: auto;
	transform: 50%;
}

.carousel::scroll-button(left) {
  content: '<';
  position-area: left center;
  translate: 50%;
}

.carousel::scroll-button(right):disabled {
  opacity: 0.5;
  cursor: auto;
}

.card {
  scroll-snap-align: start;
  flex: 0 0 20em;
  aspect-ratio: 5 / 3;
  background-color: var(--primary-color);
  padding: 1em;
  border-radius: 0.5em;
  text-align: center;
  align-content: center;
}

@media (max-width: 500px) {
  .card {
    flex: 0 0 50%;
  }
}

@media (max-width: 700px) {
  .card {
    flex: 0 0 70%;
  }
}

@media (max-width: 900px) {
  .card {
    flex: 0 0 90%;
  }
}
